diff --git a/doc/src/sgml/backup.sgml b/doc/src/sgml/backup.sgml
index b9331830f7..c7517e4b28 100644
--- a/doc/src/sgml/backup.sgml
+++ b/doc/src/sgml/backup.sgml
@@ -1248,8 +1248,8 @@ SELECT pg_stop_backup();
    <listitem>
     <para>
      Set recovery configuration settings in
-     <filename>postgresql.conf</filename> (see <xref
-     linkend="runtime-config-wal-archive-recovery"/>) and create a file
+     <link linkend="config-setting-configuration-file">configuration file</link>
+     (see <xref linkend="runtime-config-wal-archive-recovery"/>) and create a file
      <filename>recovery.signal</filename> in the cluster
      data directory. You might
      also want to temporarily modify <filename>pg_hba.conf</filename> to prevent
@@ -1534,7 +1534,8 @@ restore_command = 'gunzip &lt; /mnt/server/archivedir/%f &gt; %p'
      <para>
       Many people choose to use scripts to define their
       <varname>archive_command</varname>, so that their
-      <filename>postgresql.conf</filename> entry looks very simple:
+      <link linkend="config-setting-configuration-file">configuration file</link>
+      entry looks very simple:
 <programlisting>
 archive_command = 'local_backup_script.sh "%p" "%f"'
 </programlisting>
diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 606e80df0e..677e5b8e1a 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -600,7 +600,8 @@ include_dir 'conf.d'
       command-line option or <envar>PGDATA</envar> environment variable
       must point to the directory containing the configuration files,
       and the <varname>data_directory</varname> parameter must be set in
-      <filename>postgresql.conf</filename> (or on the command line) to show
+      <link linkend="config-setting-configuration-file">configuration file</link>
+      (or on the command line) to show
       where the data directory is actually located.  Notice that
       <varname>data_directory</varname> overrides <option>-D</option> and
       <envar>PGDATA</envar> for the location
@@ -998,8 +999,9 @@ include_dir 'conf.d'
         hung clients from occupying a connection indefinitely.
         If this value is specified without units, it is taken as seconds.
         The default is one minute (<literal>1m</literal>).
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -1038,7 +1040,8 @@ include_dir 'conf.d'
         Sets the location of the Kerberos server key file. See
         <xref linkend="gssapi-auth"/>
         for details. This parameter can only be set in the
-        <filename>postgresql.conf</filename> file or on the server command line.
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -1054,7 +1057,8 @@ include_dir 'conf.d'
         Sets whether GSSAPI user names should be treated
         case-insensitively.
         The default is <literal>off</literal> (case sensitive). This parameter can only be
-        set in the <filename>postgresql.conf</filename> file or on the server command line.
+        set in the <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -1068,8 +1072,9 @@ include_dir 'conf.d'
       <listitem>
        <para>
         This parameter enables per-database user names.  It is off by default.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
 
        <para>
@@ -1130,8 +1135,9 @@ include_dir 'conf.d'
       <listitem>
        <para>
         Enables <acronym>SSL</acronym> connections.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
         The default is <literal>off</literal>.
        </para>
       </listitem>
@@ -1148,8 +1154,9 @@ include_dir 'conf.d'
         Specifies the name of the file containing the SSL server certificate
         authority (CA).
         Relative paths are relative to the data directory.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
         The default is empty, meaning no CA file is loaded,
         and client certificate verification is not performed.
        </para>
@@ -1166,8 +1173,9 @@ include_dir 'conf.d'
        <para>
         Specifies the name of the file containing the SSL server certificate.
         Relative paths are relative to the data directory.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
         The default is <filename>server.crt</filename>.
        </para>
       </listitem>
@@ -1184,8 +1192,9 @@ include_dir 'conf.d'
         Specifies the name of the file containing the SSL server certificate
         revocation list (CRL).
         Relative paths are relative to the data directory.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
         The default is empty, meaning no CRL file is loaded.
        </para>
       </listitem>
@@ -1201,8 +1210,9 @@ include_dir 'conf.d'
        <para>
         Specifies the name of the file containing the SSL server private key.
         Relative paths are relative to the data directory.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
         The default is <filename>server.key</filename>.
        </para>
       </listitem>
@@ -1230,7 +1240,8 @@ include_dir 'conf.d'
 
        <para>
         This parameter can only be set in the
-        <filename>postgresql.conf</filename> file or on the server command
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command
         line.
        </para>
 
@@ -1304,8 +1315,9 @@ include_dir 'conf.d'
        <para>
         Specifies whether to use the server's SSL cipher preferences, rather
         than the client's.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
         The default is <literal>on</literal>.
        </para>
 
@@ -1331,8 +1343,9 @@ include_dir 'conf.d'
         exchange.  It needs to be supported by all clients that connect.
         It does not need to be the same curve used by the server's Elliptic
         Curve key.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
         The default is <literal>prime256v1</literal>.
        </para>
 
@@ -1408,8 +1421,9 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -1442,8 +1456,9 @@ include_dir 'conf.d'
         mechanism is adequately secure.
        </para>
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -1468,8 +1483,9 @@ include_dir 'conf.d'
         passphrase is obtained from a file, for example.
        </para>
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -2178,7 +2194,8 @@ include_dir 'conf.d'
          <varname>bgwriter_delay</varname> to a value that is not a multiple of 10
          might have the same results as setting it to the next higher multiple
          of 10.  This parameter can only be set in the
-         <filename>postgresql.conf</filename> file or on the server command line.
+         <link linkend="config-setting-configuration-file">configuration file</link>
+         or on the server command line.
         </para>
        </listitem>
       </varlistentry>
@@ -2196,8 +2213,9 @@ include_dir 'conf.d'
          background writing.  (Note that checkpoints, which are managed by
          a separate, dedicated auxiliary process, are unaffected.)
          The default value is 100 buffers.
-         This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line.
+         This parameter can only be set in the
+         <link linkend="config-setting-configuration-file">configuration file</link>
+         or on the server command line.
         </para>
        </listitem>
       </varlistentry>
@@ -2224,8 +2242,9 @@ include_dir 'conf.d'
          while smaller values intentionally leave writes to be done by
          server processes.
          The default is 2.0.
-         This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line.
+         This parameter can only be set in the
+         <link linkend="config-setting-configuration-file">configuration file</link>
+         or on the server command line.
         </para>
        </listitem>
       </varlistentry>
@@ -2256,8 +2275,9 @@ include_dir 'conf.d'
          <literal>2MB</literal>.  The default is <literal>512kB</literal> on Linux,
          <literal>0</literal> elsewhere.  (If <symbol>BLCKSZ</symbol> is not 8kB,
          the default and maximum values scale proportionally to it.)
-         This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line.
+         This parameter can only be set in the
+         <link linkend="config-setting-configuration-file">configuration file</link>
+         or on the server command line.
         </para>
        </listitem>
       </varlistentry>
@@ -2685,8 +2705,9 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        <varname>fsync</varname> can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        <varname>fsync</varname> can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
         If you turn this parameter off, also consider turning off
         <xref linkend="guc-full-page-writes"/>.
        </para>
@@ -2814,8 +2835,9 @@ include_dir 'conf.d'
         configuration in order to create a crash-safe configuration or
         achieve optimal performance.
         These aspects are discussed in <xref linkend="wal-reliability"/>.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -2860,8 +2882,9 @@ include_dir 'conf.d'
        </para>
 
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
         The default is <literal>on</literal>.
        </para>
       </listitem>
@@ -3010,7 +3033,8 @@ include_dir 'conf.d'
         milliseconds; setting <varname>wal_writer_delay</varname> to a value that is
         not a multiple of 10 might have the same results as setting it to the
         next higher multiple of 10. This parameter can only be set in the
-        <filename>postgresql.conf</filename> file or on the server command line.
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3034,7 +3058,8 @@ include_dir 'conf.d'
         that is <symbol>XLOG_BLCKSZ</symbol> bytes, typically 8kB.
         The default is <literal>1MB</literal>.
         This parameter can only be set in the
-        <filename>postgresql.conf</filename> file or on the server command line.
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        file or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3134,8 +3159,9 @@ include_dir 'conf.d'
         The default is five minutes (<literal>5min</literal>).
         Increasing this parameter can increase the amount of time needed
         for crash recovery.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3150,8 +3176,9 @@ include_dir 'conf.d'
        <para>
         Specifies the target of checkpoint completion, as a fraction of
         total time between checkpoints. The default is 0.5.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3182,8 +3209,9 @@ include_dir 'conf.d'
         and <literal>2MB</literal>.  The default is <literal>256kB</literal> on
         Linux, <literal>0</literal> elsewhere.  (If <symbol>BLCKSZ</symbol> is not
         8kB, the default and maximum values scale proportionally to it.)
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3205,8 +3233,9 @@ include_dir 'conf.d'
         Zero disables the warning.
         No warnings will be generated if <varname>checkpoint_timeout</varname>
         is less than <varname>checkpoint_warning</varname>.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3228,8 +3257,9 @@ include_dir 'conf.d'
         The default is 1 GB.
         Increasing this parameter can increase the amount of time needed for
         crash recovery.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3249,8 +3279,9 @@ include_dir 'conf.d'
         jobs.
         If this value is specified without units, it is taken as megabytes.
         The default is 80 MB.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3311,8 +3342,9 @@ include_dir 'conf.d'
         <xref linkend="backup-archiving-wal"/>.
        </para>
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.  It is ignored unless
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.  It is ignored unless
         <varname>archive_mode</varname> was enabled at server start.
         If <varname>archive_command</varname> is an empty string (the default) while
         <varname>archive_mode</varname> is enabled, WAL archiving is temporarily
@@ -3356,7 +3388,8 @@ include_dir 'conf.d'
         server more quickly than that.
         If this value is specified without units, it is taken as seconds.
         This parameter can only be set in the
-        <filename>postgresql.conf</filename> file or on the server command line.
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3500,8 +3533,9 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         found), a fatal error will be raised.
        </para>
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3529,8 +3563,9 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         database will not proceed with startup.
        </para>
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -3882,7 +3917,8 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
         archiving.
         If this value is specified without units, it is taken as megabytes.
         This parameter can only be set in the
-        <filename>postgresql.conf</filename> file or on the server command line.
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
        </listitem>
       </varlistentry>
@@ -3945,9 +3981,9 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
       </term>
       <listitem>
        <para>
-        Record commit time of transactions. This parameter
-        can only be set in <filename>postgresql.conf</filename> file or on the server
-        command line. The default value is <literal>off</literal>.
+        Record commit time of transactions. This parameter can only be set in
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line. The default value is <literal>off</literal>.
        </para>
       </listitem>
      </varlistentry>
@@ -4094,8 +4130,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         <literal>local</literal> or <literal>off</literal>.
        </para>
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -4120,8 +4157,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         is measured in terms of number of write transactions occurring on the
         primary server, it is difficult to predict just how much additional
         grace time will be made available to standby queries.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
        <para>
         You should also consider setting <varname>hot_standby_feedback</varname>
@@ -4180,8 +4218,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
           <varname>primary_conninfo</varname> string.
          </para>
          <para>
-          This parameter can only be set in the <filename>postgresql.conf</filename>
-          file or on the server command line.
+          This parameter can only be set in the
+          <link linkend="config-setting-configuration-file">configuration file</link>
+          or on the server command line.
           If this parameter is changed while the WAL receiver process is
           running, that process is signaled to shut down and expected to
           restart with the new setting (except if <varname>primary_conninfo</varname>
@@ -4202,8 +4241,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
           connecting to the sending server via streaming replication to control
           resource removal on the upstream node
           (see <xref linkend="streaming-replication-slots"/>).
-          This parameter can only be set in the <filename>postgresql.conf</filename>
-          file or on the server command line.
+          This parameter can only be set in the
+          <link linkend="config-setting-configuration-file">configuration file</link>
+          or on the server command line.
           If this parameter is changed while the WAL receiver process is running,
           that process is signaled to shut down and expected to restart with the
           new setting.
@@ -4225,8 +4265,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
           standby.  Even if this value is not set, you can still promote
           the standby using <command>pg_ctl promote</command> or calling
           <function>pg_promote()</function>.
-          This parameter can only be set in the <filename>postgresql.conf</filename>
-          file or on the server command line.
+          This parameter can only be set in the
+          <link linkend="config-setting-configuration-file">configuration file</link>
+          or on the server command line.
          </para>
         </listitem>
        </varlistentry>
@@ -4266,8 +4307,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         The default is 30 seconds.
         A value of -1 allows the standby to wait forever for conflicting
         queries to complete.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
        <para>
         Note that <varname>max_standby_archive_delay</varname> is not the same as the
@@ -4298,8 +4340,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         The default is 30 seconds.
         A value of -1 allows the standby to wait forever for conflicting
         queries to complete.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
        <para>
         Note that <varname>max_standby_streaming_delay</varname> is not the same as
@@ -4325,7 +4368,8 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         slot on the remote instance when no permanent replication slot to use
         has been configured (using <xref linkend="guc-primary-slot-name"/>).
         The default is off.  This parameter can only be set in the
-        <filename>postgresql.conf</filename> file or on the server command line.
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
         If this parameter is changed while the WAL receiver process is running,
         that process is signaled to shut down and expected to restart with
         the new setting.
@@ -4357,9 +4401,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        If this value is specified without units, it is taken as seconds.
        The default value is 10 seconds.
        Setting this parameter to zero disables status updates completely.
-       This parameter can only be set in
-       the <filename>postgresql.conf</filename> file or on the server
-       command line.
+       This parameter can only be set in the
+       <link linkend="config-setting-configuration-file">configuration file</link>
+       or on the server command line.
       </para>
       </listitem>
      </varlistentry>
@@ -4380,7 +4424,8 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         Feedback messages will not be sent more frequently than once per
         <varname>wal_receiver_status_interval</varname>. The default value is
         <literal>off</literal>. This parameter can only be set in the
-        <filename>postgresql.conf</filename> file or on the server command line.
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
        <para>
         If cascaded replication is in use the feedback is passed upstream
@@ -4415,9 +4460,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         If this value is specified without units, it is taken as milliseconds.
         The default value is 60 seconds.
         A value of zero disables the timeout mechanism.
-        This parameter can only be set in
-        the <filename>postgresql.conf</filename> file or on the server
-        command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -4436,9 +4481,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         again to retrieve WAL data.
         If this value is specified without units, it is taken as milliseconds.
         The default value is 5 seconds.
-        This parameter can only be set in
-        the <filename>postgresql.conf</filename> file or on the server
-        command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
        <para>
         This parameter is useful in configurations where a node in recovery
@@ -4513,8 +4558,9 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
         </warning>
        </para>
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -5697,8 +5743,9 @@ SELECT * FROM parent WHERE key = 2400;
          parameter to a list of desired log destinations separated by
          commas. The default is to log to <systemitem>stderr</systemitem>
          only.
-         This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line.
+         This parameter can only be set in the
+         <link linkend="config-setting-configuration-file">configuration file</link>
+         or on the server command line.
        </para>
        <para>
         If <systemitem>csvlog</systemitem> is included in <varname>log_destination</varname>,
@@ -5819,7 +5866,8 @@ local0.*    /var/log/postgresql
         this parameter determines the directory in which log files will be created.
         It can be specified as an absolute path, or relative to the
         cluster data directory.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
         file or on the server command line.
         The default is <literal>log</literal>.
        </para>
@@ -5867,8 +5915,9 @@ local0.*    /var/log/postgresql
         replaced instead.)
        </para>
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -5901,8 +5950,9 @@ local0.*    /var/log/postgresql
         they might contain sensitive data.
        </para>
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -5921,8 +5971,9 @@ local0.*    /var/log/postgresql
         If this value is specified without units, it is taken as minutes.
         The default is 24 hours.
         Set to zero to disable time-based creation of new log files.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -5942,8 +5993,9 @@ local0.*    /var/log/postgresql
         If this value is specified without units, it is taken as kilobytes.
         The default is 10 megabytes.
         Set to zero to disable size-based creation of new log files.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -5966,8 +6018,9 @@ local0.*    /var/log/postgresql
         a <varname>log_filename</varname> like <literal>postgresql-%H.log</literal>
         would result in generating twenty-four hourly log files and then
         cyclically overwriting them.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
        <para>
         Example:  To keep 7 days of logs, one log file per day named
@@ -6008,8 +6061,9 @@ local0.*    /var/log/postgresql
         the default is <literal>LOCAL0</literal>. See also the
         documentation of your system's
         <application>syslog</application> daemon.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -6027,8 +6081,9 @@ local0.*    /var/log/postgresql
          <productname>PostgreSQL</productname> messages in
          <application>syslog</application> logs. The default is
          <literal>postgres</literal>.
-         This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line.
+         This parameter can only be set in the
+         <link linkend="config-setting-configuration-file">configuration file</link>
+         or on the server command line.
         </para>
        </listitem>
       </varlistentry>
@@ -6055,8 +6110,9 @@ local0.*    /var/log/postgresql
         </para>
 
         <para>
-         This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line.
+         This parameter can only be set in the
+         <link linkend="config-setting-configuration-file">configuration file</link>
+         or on the server command line.
         </para>
       </listitem>
      </varlistentry>
@@ -6088,8 +6144,9 @@ local0.*    /var/log/postgresql
        </para>
 
        <para>
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -6106,8 +6163,9 @@ local0.*    /var/log/postgresql
         determines the program name used to identify
         <productname>PostgreSQL</productname> messages in
         the log. The default is <literal>PostgreSQL</literal>.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -6494,8 +6552,9 @@ local0.*    /var/log/postgresql
         Causes checkpoints and restartpoints to be logged in the server log.
         Some statistics are included in the log messages, including the number
         of buffers written and the time spent writing them.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line. The default is off.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line. The default is off.
        </para>
       </listitem>
      </varlistentry>
@@ -6613,8 +6672,9 @@ local0.*    /var/log/postgresql
         connecting host. Turning this parameter on causes logging of the
         host name as well.  Note that depending on your host name resolution
         setup this might impose a non-negligible performance penalty.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -6644,8 +6704,9 @@ local0.*    /var/log/postgresql
        </para>
 
        <para>
-         This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line. The default is
+         This parameter can only be set in the
+         <link linkend="config-setting-configuration-file">configuration file</link>
+         or on the server command line. The default is
          <literal>'%m [%p] '</literal> which logs a time stamp and the process ID.
        </para>
 
@@ -6988,11 +7049,13 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         Unlike <xref linkend="guc-timezone"/>, this value is cluster-wide,
         so that all sessions will report timestamps consistently.
         The built-in default is <literal>GMT</literal>, but that is typically
-        overridden in <filename>postgresql.conf</filename>; <application>initdb</application>
+        overridden in <link linkend="config-setting-configuration-file">configuration file</link>;
+        <application>initdb</application>
         will install a setting there corresponding to its system environment.
         See <xref linkend="datatype-timezones"/> for more information.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -7317,8 +7380,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         is <filename>pg_stat_tmp</filename>. Pointing this at a RAM-based
         file system will decrease physical I/O requirements and can lead to
         improved performance.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -7399,8 +7463,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         autovacuum launcher daemon.  This is on by default; however,
         <xref linkend="guc-track-counts"/> must also be enabled for
         autovacuum to work.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line; however, autovacuuming can be
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line; however, autovacuuming can be
         disabled for individual tables by changing table storage parameters.
        </para>
        <para>
@@ -7433,7 +7498,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         logged if an autovacuum action is skipped due to a conflicting lock or a
         concurrently dropped relation.  Enabling this parameter can be helpful
         in tracking autovacuum activity.  This parameter can only be set in
-        the <filename>postgresql.conf</filename> file or on the server command line;
+        the <link linkend="config-setting-configuration-file">configuration file</link> or on the server command line;
         but the setting can be overridden for individual tables by
         changing table storage parameters.
        </para>
@@ -7469,8 +7534,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         as needed for tables in that database.
         If this value is specified without units, it is taken as seconds.
         The default is one minute (<literal>1min</literal>).
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -7487,8 +7553,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         Specifies the minimum number of updated or deleted tuples needed
         to trigger a <command>VACUUM</command> in any one table.
         The default is 50 tuples.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line;
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line;
         but the setting can be overridden for individual tables by
         changing table storage parameters.
        </para>
@@ -7509,8 +7576,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         The default is 1000 tuples.  If -1 is specified, autovacuum will not
         trigger a <command>VACUUM</command> operation on any tables based on
         the number of inserts.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line;
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line;
         but the setting can be overridden for individual tables by
         changing table storage parameters.
        </para>
@@ -7529,8 +7597,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         Specifies the minimum number of inserted, updated or deleted tuples
         needed to trigger an <command>ANALYZE</command> in any one table.
         The default is 50 tuples.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line;
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line;
         but the setting can be overridden for individual tables by
         changing table storage parameters.
        </para>
@@ -7550,8 +7619,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <varname>autovacuum_vacuum_threshold</varname>
         when deciding whether to trigger a <command>VACUUM</command>.
         The default is 0.2 (20% of table size).
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line;
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line;
         but the setting can be overridden for individual tables by
         changing table storage parameters.
        </para>
@@ -7571,8 +7641,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <varname>autovacuum_vacuum_insert_threshold</varname>
         when deciding whether to trigger a <command>VACUUM</command>.
         The default is 0.2 (20% of table size).
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line;
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line;
         but the setting can be overridden for individual tables by
         changing table storage parameters.
        </para>
@@ -7592,8 +7663,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <varname>autovacuum_analyze_threshold</varname>
         when deciding whether to trigger an <command>ANALYZE</command>.
         The default is 0.1 (10% of table size).
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line;
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line;
         but the setting can be overridden for individual tables by
         changing table storage parameters.
        </para>
@@ -7672,8 +7744,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <xref linkend="guc-vacuum-cost-delay"/> value will be used.
         If this value is specified without units, it is taken as milliseconds.
         The default value is 2 milliseconds.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line;
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line;
         but the setting can be overridden for individual tables by
         changing table storage parameters.
        </para>
@@ -7696,8 +7769,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         the value is distributed proportionally among the running autovacuum
         workers, if there is more than one, so that the sum of the limits for
         each worker does not exceed the value of this variable.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line;
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line;
         but the setting can be overridden for individual tables by
         changing table storage parameters.
        </para>
@@ -7954,7 +8028,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         when using a previously set value, nonexistent tablespaces are
         ignored, as are tablespaces for which the user lacks
         <literal>CREATE</literal> privilege.  In particular, this rule applies when
-        using a value set in <filename>postgresql.conf</filename>.
+        using a value set in
+        <link linkend="config-setting-configuration-file">configuration file</link>.
        </para>
 
        <para>
@@ -8144,7 +8219,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
        <para>
         Setting <varname>statement_timeout</varname> in
-        <filename>postgresql.conf</filename> is not recommended because it would
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        is not recommended because it would
         affect all sessions.
        </para>
       </listitem>
@@ -8181,8 +8257,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
        <para>
         Setting <varname>lock_timeout</varname> in
-        <filename>postgresql.conf</filename> is not recommended because it would
-        affect all sessions.
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        is not recommended because it would affect all sessions.
        </para>
       </listitem>
      </varlistentry>
@@ -8521,7 +8597,8 @@ SET XML OPTION { DOCUMENT | CONTENT };
        <para>
         Sets the time zone for displaying and interpreting time stamps.
         The built-in default is <literal>GMT</literal>, but that is typically
-        overridden in <filename>postgresql.conf</filename>; <application>initdb</application>
+        overridden in <link linkend="config-setting-configuration-file">configuration file</link>;
+        <application>initdb</application>
         will install a setting there corresponding to its system environment.
         See <xref linkend="datatype-timezones"/> for more information.
        </para>
@@ -8990,8 +9067,8 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
         setting done that way will only persist until the end of the
         client connection, so this method should be reserved for
         development purposes. The recommended way to set this parameter
-        is in the <filename>postgresql.conf</filename> configuration
-        file.
+        is in the
+        <link linkend="config-setting-configuration-file">configuration file</link>.
        </para>
       </listitem>
      </varlistentry>
@@ -9137,8 +9214,9 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
         mean <xref linkend="guc-max-pred-locks-per-transaction"/> divided by
         the absolute value of this setting.  The default is -2, which keeps
         the behavior from previous versions of <productname>PostgreSQL</productname>.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -9154,7 +9232,7 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
         This controls how many rows on a single page can be predicate-locked
         before the lock is promoted to covering the whole page.  The default
         is 2.  This parameter can only be set in
-        the <filename>postgresql.conf</filename> file or on the server command line.
+        the <link linkend="config-setting-configuration-file">configuration file</link> or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -9511,7 +9589,7 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
      The following <quote>parameters</quote> are read-only, and are determined
      when <productname>PostgreSQL</productname> is compiled or when it is
      installed. As such, they have been excluded from the sample
-     <filename>postgresql.conf</filename> file.  These options report
+     <link linkend="config-setting-configuration-file">configuration file</link>.  These options report
      various aspects of <productname>PostgreSQL</productname> behavior
      that might be of interest to certain applications, particularly
      administrative front-ends.
@@ -9830,7 +9908,8 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
      to assist with recovery of severely damaged databases.  There
      should be no reason to use them on a production database.
      As such, they have been excluded from the sample
-     <filename>postgresql.conf</filename> file.  Note that many of these
+     <link linkend="config-setting-configuration-file">configuration file</link>.
+     Note that many of these
      parameters require special source compilation flags to work at all.
     </para>
 
@@ -9928,8 +10007,9 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
         trace down misbehavior in authentication.
         If this value is specified without units, it is taken as seconds.
         A value of zero (the default) disables the delay.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
@@ -9972,8 +10052,9 @@ dynamic_library_path = 'C:\tools\postgresql;H:\my_project\lib;$libdir'
         had <literal>LOG</literal> priority; for common settings of
         <varname>log_min_messages</varname> this results in unconditionally sending
         them to the server log.
-        This parameter can only be set in the <filename>postgresql.conf</filename>
-        file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
diff --git a/doc/src/sgml/pgstatstatements.sgml b/doc/src/sgml/pgstatstatements.sgml
index cf2d25b7b2..f222200374 100644
--- a/doc/src/sgml/pgstatstatements.sgml
+++ b/doc/src/sgml/pgstatstatements.sgml
@@ -16,7 +16,8 @@
  <para>
   The module must be loaded by adding <literal>pg_stat_statements</literal> to
   <xref linkend="guc-shared-preload-libraries"/> in
-  <filename>postgresql.conf</filename>, because it requires additional shared memory.
+  <link linkend="config-setting-configuration-file">configuration file</link>,
+  because it requires additional shared memory.
   This means that a server restart is needed to add or remove the module.
  </para>
 
@@ -628,8 +629,9 @@
       If it is <literal>off</literal> then statistics are not saved at
       shutdown nor reloaded at server start.
       The default value is <literal>on</literal>.
-      This parameter can only be set in the <filename>postgresql.conf</filename>
-      file or on the server command line.
+      This parameter can only be set in the
+      <link linkend="config-setting-configuration-file">configuration file</link>
+      or on the server command line.
      </para>
     </listitem>
    </varlistentry>
@@ -643,7 +645,8 @@
   </para>
 
   <para>
-   These parameters must be set in <filename>postgresql.conf</filename>.
+   These parameters must be set in
+   <link linkend="config-setting-configuration-file">configuration file</link>.
    Typical usage might be:
 
 <programlisting>
diff --git a/doc/src/sgml/plperl.sgml b/doc/src/sgml/plperl.sgml
index 59cd92733a..a6448debfc 100644
--- a/doc/src/sgml/plperl.sgml
+++ b/doc/src/sgml/plperl.sgml
@@ -1462,7 +1462,9 @@ DO 'elog(WARNING, join ", ", sort keys %INC)' LANGUAGE plperl;
         child processes.
        </para>
        <para>
-       This parameter can only be set in the <filename>postgresql.conf</filename> file or on the server command line.
+        This parameter can only be set in the
+        <link linkend="config-setting-configuration-file">configuration file</link>
+        or on the server command line.
        </para>
       </listitem>
      </varlistentry>
diff --git a/doc/src/sgml/sepgsql.sgml b/doc/src/sgml/sepgsql.sgml
index 9961569afc..8ec50eaf08 100644
--- a/doc/src/sgml/sepgsql.sgml
+++ b/doc/src/sgml/sepgsql.sgml
@@ -270,8 +270,9 @@ $ sudo semodule -r sepgsql-regtest
       This parameter enables <filename>sepgsql</filename> to function
       in permissive mode, regardless of the system setting.
       The default is off.
-      This parameter can only be set in the <filename>postgresql.conf</filename>
-      file or on the server command line.
+      This parameter can only be set in the
+      <link linkend="config-setting-configuration-file">configuration file</link>
+      or on the server command line.
      </para>
 
      <para>
